<?php
define('PROTECTOR', 1);
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
$textl='Настройки';
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

if($udata['pan']==0){
mysql_query("UPDATE `users` SET
`pan` =  '2' WHERE `usr` = '$log' ");
}

switch($_GET['mod']){

default:

echo'<div class="main"><div class="menuList">';

echo'<li><a href="set.php?mod=logotip"><img src="image/icon/arrow.png">Логотип на главной странице</a></li>';

echo'<li><a href="set.php?mod=logoti"><img src="image/icon/arrow.png">Снег на сайте</a></li>';

echo'<li><a href="set.php?mod=fon"><img src="image/icon/arrow.png">Фон игры</a></li>';

echo'<li><a href="set.php?mod=klass"><img src="image/icon/arrow.png">Выбрать класс</a></li>';

echo'<li><a href="set.php?mod=st"><img src="image/icon/arrow.png">Поменять сторону</a></li>';



//echo'<a href="avatar.php?">Выбрать аватар</a><br/>';
//echo'<a href="set.php?mod=sb">Система боя</a><br/>';





echo'<li><a href="set.php?mod=cancel"><img src="image/icon/arrow.png">Сбросить очки параметров</a></li>';
echo'<li><a href="set.php?mod=pass"><img src="image/icon/arrow.png">Поменять пароль</a></li>';
//echo'<li><a href="set.php?mod=email"><img src="image/icon/arrow.png">Поменять e-mail</a></li>';
echo'<li><a href="index.php?mod=exit"><img src="image/icon/exit.png" alt="*"> <font color="grey">Выход</font></a></li></div></div>';
break; 

case 'logotip':
if(empty($_POST['logotip'])){
echo "<form action='set.php?mod=logotip' method='POST'>";
echo'<div class="main"><div class="block_zero center">Показ логотипа:';
echo'</div><div class="dot-line"></div><div class="block_zero center">';
if($udata['logotip'] == 1){
echo'<input type="radio" name="logotip" value="2" CHECKED> Включить<br /><br /><span class="btn"><span class="end"><input class="label" type="submit" value="Выполнить"></span></span></form></div></div>';
}else{
echo'<input type="radio" name="logotip" value="1" CHECKED> Отключить<br /><br /><span class="btn"><span class="end"><input class="label" type="submit" value="Выполнить"></span></span></form></div></div>';
}
}else{
$pan = $_POST['logotip'];
mysql_query("UPDATE `users` SET
`logotip` =  '$pan' WHERE `usr` = '$log' ");
$_SESSION['message']="Настройки успешно изменены!";
header('Location: set.php?mod=logotip');
exit();
}
echo'</div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;

case 'logoti':
if(empty($_POST['logoti'])){
echo "<form action='set.php?mod=logoti' method='POST'>";
echo'<div class="main"><div class="block_zero center">Снег на сайте:';
echo'</div><div class="dot-line"></div><div class="block_zero center">';
if($udata['pan'] == 1){
echo'<input type="radio" name="logoti" value="2" CHECKED> Включить<br /><br /><span class="btn"><span class="end"><input class="label" type="submit" value="Выполнить"></span></span></form></div></div>';
}else{
echo'<input type="radio" name="logoti" value="1" CHECKED> Отключить<br /><br /><span class="btn"><span class="end"><input class="label" type="submit" value="Выполнить"></span></span></form></div></div>';
}
}else{
$pan = $_POST['logoti'];
mysql_query("UPDATE `users` SET
`pan` =  '$pan' WHERE `usr` = '$log' ");
$_SESSION['message']="Настройки успешно изменены!";
header('Location: set.php?mod=logoti');
exit();
}
echo'</div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;

case 'fon':
if(empty($_POST['fon'])){
echo "<form action='set.php?mod=fon' method='POST'>";
echo'<div class="main"><div class="block_zero center">Фон игры:';
echo'</div><div class="dot-line"></div><div class="block_zero">';
echo'<input type="radio" name="fon" value="standart" CHECKED /> Стандартный<br /><br /><input type="radio" name="fon" value="blue" /> Синий<br /><br /><input type="radio" name="fon" value="green" /> Зелёный<br /><br /><input type="radio" name="fon" value="red" /> Красный<br /><br /><center><span class="btn"><span class="end"><input class="label" type="submit" value="Выполнить"></span></span></form></div></div></center>';
}else{
$pan = $_POST['fon'];
mysql_query("UPDATE `set` SET
`fon` =  '$pan' WHERE `usr` = '$log' ");
$_SESSION['message']="Настройки успешно изменены!";
header('Location: set.php?mod=fon');
exit();
}
echo'</div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;










case 'sb':
if(empty($_POST[sb])){
echo "<form action='set.php?mod=sb' method='POST'>";
echo"Система боя:</div>";
if($udata[sb] == 1){echo'<div class="m_bg"><input type="radio" name="sb" value="1"/> Список с выбором<br />
<input type="radio" name="sb" value="2" /> Выпадающий список<br />
<input type="radio" name="sb" value="3" CHECKED /> Случайно(без выбора)<br />
<input type="submit" value="Оk" /></form></div>';}
else{echo'<div class="m_bg"><input type="radio" name="sb" value="1" /> Список с выбором<br />
<input type="radio" name="sb" value="2" /> Выпадающий список<br />
<input type="radio" name="sb" value="3" CHECKED /> Случайно(без выбора)<br /><br />';
echo'<input name="graph" type="checkbox" value="1" />Без графики в бою<br />';
echo'<input type="submit" value="Оk" /></form></div>';
}
}else{
$graph = $_POST[graph];
$sb = $_POST[sb];
mysql_query("UPDATE `set` SET
`graph` =  '$graph' WHERE `usr` = '$log' ");
mysql_query("UPDATE `users` SET
`sb` =  '$sb' WHERE `usr` = '$log' ");
echo'Система боя выбрана '.$sb.' '.$log.'<br/>';
echo"<a href='set.php'>Назад</a>";
}
break;

case 'klass':
if(empty($_POST['klass'])){
echo "<form action='set.php?mod=klass' method='POST'>";
echo'<div class="main"><div class="block_zero center">Сменить класс - <img src="image/icon/almaz.png" alt="*"> 100 золота!';
echo'</div><div class="dot-line"></div><div class="block_zero center">';
if($udata['klas'] == 'fighert'){
echo'<input type="radio" name="klass" value="wizard" CHECKED /> Маг';
}else{
echo'<input type="radio" name="klass" value="fighert" CHECKED  /> Воин';
}
echo'<br /><br /><center><span class="btn"><span class="end"><input class="label" type="submit" value="Выполнить"></span></span></form></div></div></center>';
}else{
if($udata['almaz']<100){
header('Location: set.php?');
$_SESSION['err']="Не достаточно золота!";
exit();
}
if($_POST['klass'] == 'wizard' AND $udata['almaz'] >= 100){
mysql_query("UPDATE `users` SET
`klas` =  'wizard', `almaz` =  almaz-'100'  WHERE `usr` = '$log' ");
}
if($_POST['klass'] == 'fighert' AND $udata['almaz'] >= 100){
mysql_query("UPDATE `users` SET
`klas` =  'fighert', `almaz` = `almaz`-'100'  WHERE `usr` = '$log' ");
}
$_SESSION['message']="Настройки успешно изменены!";
header('Location: set.php?mod=klass');
exit();
}
echo'</div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;

case 'cancel':
echo'<div class="main"><div class="block_zero center">Сбросить очки параметров - <img src="image/icon/almaz.png" alt="*"> 500 золота!<br><small><span style="color: #999;">Вооружение должно быть снято!!!</span></small>';
echo'</div><div class="dot-line"></div><div class="block_zero center">';
echo'<center><a href="set.php?mod=canc"><span class="btn"><span class="end"><input class="label" type="submit" value="Выполнить"></span></span></a></div></div></center>';
echo'</div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;

case 'canc':
if($udata['almaz'] < 500){
header('Location: set.php?');
$_SESSION['err']="Не достаточно золота!";
exit();
}
if($udata['almaz'] >= 500){
$req1 = mysql_query("SELECT * FROM `weapon` WHERE `usr` = '$log' AND `image` = 'yes'");
$avto1=mysql_num_rows($req1);
if($avto1 == 0){
$ochki = $udata['lvl']*6;
if($udata['skill']==$ochki){
$_SESSION['err']="Нет очков для сброса!";
header('Location: set.php?mod=cancel');
exit();
}

mysql_query("UPDATE 
        `users` SET
        `skill` = '$ochki',
        `sila` = '$set[sila]'+'10',
        `lovk` = '$set[lovk]'+'10',
        `hpall` = '$set[hp]'+'20',
        `mpall` = '$set[mp]'+'500',
        `prot` = '$set[prot]'+'10',
        `krit` = '0',
        `almaz` = `almaz`-'500',
        `ukrit` = '$set[ukrit]'+'10' WHERE `usr` = '$log'"); 
$_SESSION['message']="Очки навыков сброшены!";
header('Location: set.php?mod=cancel');
exit();
}else{
$_SESSION['err']="Снимите вооружение!";
header('Location: set.php?mod=cancel');
exit();
}
}
break;

case 'pass':
if(empty($_POST['pass'])){
echo "<form action='set.php?mod=pass' method='POST'>";
echo'<div class="main"><div class="block_zero center">Новый пароль:';
echo'</div><div class="dot-line"></div><div class="block_zero center">';
echo"<input class='text' type=\"text\" value=\"\" size=\"15\" maxlength=\"10\" name=\"pass\"/><br/><br/>";
echo'<center><span class="btn"><span class="end"><input class="label" type="submit" value="Выполнить"></span></span></form></div></div></center>';
}else{
if (preg_replace("#([A-za-z0-9]+)#si", "", $_POST['pass'])){
header('Location: set.php?mod=pass');
$_SESSION['err']="Только латинские символы и цифры!";
exit();
}
mysql_query("UPDATE `users` SET
`pass` = md5('$_POST[pass]') WHERE id='$udata[id]' LIMIT 1");
header('Location: set.php?mod=pass');
$_SESSION['message']="Настройки успешно изменены!";
exit();
}
echo'</div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';

break;

case 'email':
if(empty($_POST['email'])){
echo "<form action='set.php?mod=email' method='POST'>";
echo"Старый e-mail:<br/>
<input class='input' type=\"text\" value=\"$udata[email]\" size=\"10\" name=\"olmail\"/><br/>";
echo"Новый e-mail:<br/>
<input class='input' type=\"text\" value=\"\" size=\"10\" name=\"email\"/><br/>";
echo '<input class="button" type="submit" value="Изменить" /></form>';
}else{
$email=htmlspecialchars(stripslashes($_POST['email']));
mysql_query("UPDATE `users` SET
`email` = '$email' WHERE id='$udata[id]' LIMIT 1");

echo'Емейл изменён!<br/>';
echo"<a href='set.php?'>Назад</a>";}
break;

case 'st':
if(empty($_POST['storona'])){
echo "<form action='set.php?mod=st' method='POST'>";
echo'<div class="main"><div class="block_zero center">Сменить сторону - <img src="image/icon/almaz.png" alt="*"> 1000 золота!';
echo'</div><div class="dot-line"></div><div class="block_zero center">';
if($udata['storona'] == 'black'){
echo'<input type="radio" name="storona" value="white" CHECKED /> Боги';
}else{
echo'<input type="radio" name="storona" value="black" CHECKED /> Титаны';
}
echo'<br /><br /><center><span class="btn"><span class="end"><input class="label" type="submit" value="Выполнить"></span></span></form></div></div></center>';
}else{
if($udata['almaz'] < 1000){
header('Location: set.php?');
$_SESSION['err']="Не достаточно золота!";
exit();
}
if($_POST['storona'] == 'white' AND $udata['almaz'] >= 1000){
mysql_query("UPDATE `users` SET
`storona` =  'white', `almaz` =  `almaz`-'1000' WHERE `usr` = '$log' ");
}
if($_POST['storona'] == 'black' AND $udata['almaz'] >= 1000){
mysql_query("UPDATE `users` SET
`storona` =  'black', `almaz` =  `almaz`-'1000'  WHERE `usr` = '$log' ");
}
header('Location: set.php?mod=st');
$_SESSION['message']="Настройки успешно изменены!";
exit();
}
echo'</div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}
include($path.'files/down.php');
?>